Bug 604637 - extraneous newline in iostat report for long device names
Summary: extraneous newline in iostat report for long device names
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: sysstat (Show other bugs)
(Show other bugs)
Version: 5.3
Hardware: All Linux
high
medium
Target Milestone: rc
: ---
Assignee: Ivana Varekova
QA Contact: BaseOS QE - Apps
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 590060
TreeView+ depends on / blocked
 
Reported: 2010-06-16 11:54 UTC by Mark Goodwin
Modified: 2018-11-14 19:39 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
When a device name was longer than 13 characters, the iostat utility printed a redundant new line character, making its output less readable. This bug has been fixed and now, no extra characters are printed if a long device name occurs in iostat output.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-07-21 10:41:29 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
iostat patch to remove extraneous newline for long device names (1.20 KB, patch)
2010-06-16 11:54 UTC, Mark Goodwin
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:1005 normal SHIPPED_LIVE Low: sysstat security, bug fix, and enhancement update 2011-07-21 10:39:28 UTC

Description Mark Goodwin 2010-06-16 11:54:15 UTC
Created attachment 424419 [details]
iostat patch to remove extraneous newline for long device names

Description of problem:
iostat prints an extra unwanted newline for device names that exceed 13 chars

Version-Release number of selected component (if applicable):
all RHEL4 and RHEL5 versions of the sysstat package. This is
fixed upstream, simple patch attached.

How reproducible: always, just need long device names

Steps to Reproduce:
1. set up a long device name, e.g. a lengthy dm-multipath alias
2. run iostat
  
Actual results: extraneous newline after the device name

Expected results: no extraneous newline

Additional info:
upstream has removed this newline since sysstat-7.0.3,
see http://pagesperso-orange.fr/sebastien.godard/

There shouldn't be any issue affecting existing scripts that expect
to parse this newline (they should be tolerant of it not being present).

Comment 5 Branislav Náter 2011-05-27 12:11:13 UTC
Bugfix was successfully verified on sysstat-7.0.2-8.el5 package on all supported architectures.

No new line is printed after device with long name.

# iostat
Linux 2.6.18-238.9.1.el5xen (x86-64-5s-m1.ss.eng.bos.redhat.com)        05/27/2011

avg-cpu:  %user   %nice %system %iowait  %steal   %idle
           0.40    0.00    0.18    0.19    0.00   99.23

Device:            tps   Blk_read/s   Blk_wrtn/s   Blk_read   Blk_wrtn
sda               4.57        15.56       158.74   17992168  183559944
sda1              0.00         0.03         0.00      36163        936
sda2              4.54        14.32       155.49   16559338  179797456
sda3              0.02         1.21         3.25    1395851    3761552
testingdevicewithve     0.00         0.00         0.00        208          0

Comment 6 Tomas Capek 2011-06-29 08:28:53 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
When a device name was longer than 13 characters, the iostat utility printed a redundant new line character, making its output less readable. This bug has been fixed and now, no extra characters are printed if a long device name occurs in iostat output.

Comment 7 errata-xmlrpc 2011-07-21 10:41:29 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-1005.html


Note You need to log in before you can comment on or make changes to this bug.